import * as express from 'express';
import Korisnik from '../models/user'
import Proizvod from '../models/product'

export class UserController {
    login = (req: express.Request, res: express.Response) => {
        let kor_ime = req.body.kor_ime;
        let lozinka = req.body.lozinka;

        Korisnik.findOne({ 'kor_ime': kor_ime, 'lozinka': lozinka }, (err, user) => {
            if (err) console.log(err);
            else res.json(user)
        })
    }

    add = (req: express.Request, res: express.Response) => {
        let proizvod = new Proizvod(req.body)

        proizvod.save().then(user => {
            res.status(200).json({ 'message': 'user added' });
        }).catch(err => {
            res.status(400).json({ 'message': 'error' })
        })
    }

    getAllProductsInShop = (req: express.Request, res: express.Response) => {

        Proizvod.find({ status: "u prodavnici" }, (err, products) => {
            if (err) console.log(err);
            else res.json(products)
        })
    }

    getAllProductsWaiting = (req: express.Request, res: express.Response) => {

        Proizvod.find({ status: "na cekanju" }, (err, products) => {
            if (err) console.log(err);
            else res.json(products)
        })
    }

    getUser = (req: express.Request, res: express.Response) => {
        let kor_ime = req.body.kor_ime;

        Korisnik.findOne({ 'kor_ime': kor_ime }, (err, user) => {
            if (err) console.log(err);
            else res.json(user)
        })
    }

    like = (req: express.Request, res: express.Response) => {
        let id = req.body.id;

        Proizvod.findOneAndUpdate({ '_id': id }, { $inc: { lajkovi: 1 } }, (err, success) => {
            if (err) console.log(err);
            else res.json({ msg: "Success" })
        })
    }

    change = (req: express.Request, res: express.Response) => {
        let id = req.body.id;
        let status = req.body.status;
        let cena = req.body.cena

        Proizvod.findOneAndUpdate({ '_id': id }, { $set: { status: status, cena: cena } }, (err, success) => {
            if (err) console.log(err);
            else res.json({ msg: "Success" })
        })
    }
}