import { Component, OnInit } from '@angular/core';
import { Korisnik } from '../models/korisnik';
import { Proizvod } from '../models/proizvod';
import { ProductsService } from '../products.service';

@Component({
  selector: 'app-radnik',
  templateUrl: './radnik.component.html',
  styleUrls: ['./radnik.component.css']
})
export class RadnikComponent implements OnInit {

  constructor(private proizvodServis: ProductsService) { }

  ngOnInit(): void {
    this.ulogovan = JSON.parse(localStorage.getItem("ulogovan"))
    this.proizvodServis.dohvatiSveProizvodeNaCekanju().subscribe((p: Proizvod[]) => {
      this.proizvodi = p;
    })
  }

  odjaviSe() {
    localStorage.clear()
  }

  proizvodi: Proizvod[] = []
  ulogovan: Korisnik
  poruka: string

  odobri(p) {
    if (p.cena <= 0) {
      this.poruka = "Cena mora biti pozitivan broj."
    } else {
      this.proizvodServis.promeniStatusProizvoda(p._id, parseInt(p.cena), "u prodavnici").subscribe((resp) => {
        this.proizvodServis.dohvatiSveProizvodeNaCekanju().subscribe((pr: Proizvod[]) => {
          this.proizvodi = pr;
          this.poruka = "Proizvod " + p.naziv + " je odobren.";
        })
      })
    }
  }
  odbij(p) {
    this.proizvodServis.promeniStatusProizvoda(p._id, 0, "odbijeno").subscribe((resp) => {
      this.proizvodServis.dohvatiSveProizvodeNaCekanju().subscribe((pr: Proizvod[]) => {
        this.proizvodi = pr;
        this.poruka = "Proizvod " + p.naziv + " je odbijen.";
      })
    })
  }

}
